Debian Bug report logs - #683755
Multiarch support for python2.7

version graph

Package: python2.7; Maintainer for python2.7 is Matthias Klose <doko@debian.org>; Source for python2.7 is src:python2.7.

Reported by: Wookey <wookey@wookware.org>

Date: Fri, 3 Aug 2012 15:30:02 UTC

Severity: wishlist

Found in version 2.7.3-rc2

Fixed in version python2.7/2.7.3-10

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#683755; Package python2.7. (Fri, 03 Aug 2012 15:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 03 Aug 2012 15:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: submit@bugs.debian.org
Subject: Multiarch support for python2.7
Date: Fri, 3 Aug 2012 16:27:33 +0100
[Message part 1 (text/plain, inline)]
Package: python2.7
Version: 2.7.3-rc2
Severity: Wishlist
User: multiarch-devel@lists.alioth.debian.org
Usertags: multiarch

I have made a start on backporting mattias python3.3 multiarch support
to python2.7.

This was a bit tricky as there were a lot of other changes to do with
cross-building, file renaming and making things co-installable (I
think), as well as 2.7->3.3 difference and I tried to keep this patch
down to just the part needed to add the lib* packages to make the
necessary parts of python co-installable/foreign. (I'll do another for
the cross-building aspects in due course).

I've run out of time to quite make this work as I'm off on hols for
three weeks, so am filing this in case anyone else is enthused in the
meantime. 

It all builds, but there is still at least one bug in the rules file
moving everything about into final locations/names.

I did fail to grok exactly how some of the 3.3 differences related to
2.7 so this could easily have something missing.

Anyway, hope it's useful.

The current build fails as follows, which will be some incorrect path or other:
dh_installdirs -ppython2.7-dbg \
		usr/bin \
		usr/share/man/man1 \
		usr/share/doc/python2.7
cp -p Misc/SpecialBuilds.txt debian/python2.7-dbg/usr/share/doc/python2.7/
cp -p debian/python2.7-dbg.README.Debian \
		debian/python2.7-dbg/usr/share/doc/python2.7/README.debug
cp -p /home/wookey/linaro/multiarch/packages/python2.7-2.7.3~rc2/build-debug/python debian/python2.7-dbg/usr/bin/python2.7-dbg
sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python2.7-dbg\1,' \
		debian/tmp-dbg/usr/bin/python2.7-config \
		> debian/python2.7-dbg/usr/bin/python2.7-dbg-config
chmod 755 debian/python2.7-dbg/usr/bin/python2.7-dbg-config
cp -p /home/wookey/linaro/multiarch/packages/python2.7-2.7.3~rc2/build-debug/build/lib*/*_d.so \
		debian/python2.7-dbg/usr/lib/python2.7/lib-dynload/
cp: target `debian/python2.7-dbg/usr/lib/python2.7/lib-dynload/' is not a directory
make: *** [stamps/stamp-install] Error 1
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2


Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/
[python2.7-multiarch-1.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#683755; Package python2.7. (Wed, 12 Sep 2012 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Wed, 12 Sep 2012 11:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 683755@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 683755@bugs.debian.org
Cc: wookey@debian.org, multiarch-devel@lists.alioth.debian.org
Subject: Updated multiarch patch for python2.7
Date: Wed, 12 Sep 2012 13:54:16 +0300
[Message part 1 (text/plain, inline)]
Hi,

Here's updated patch for multiarch conversion of python2.7. This one
actually manages to build the package(s) and survives the smoketest
of apt-get dist-upgrade and loading the renamed modules still works.

I will be still testing more, ie, that building reverse deps still work
and it is actually possible to use python on multiarch setups.

Riku
[python2.7-multiarch.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#683755; Package python2.7. (Wed, 12 Sep 2012 16:03:03 GMT) Full text and rfc822 format available.

Message #13 received at 683755@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 683755@bugs.debian.org, Riku Voipio <riku.voipio@iki.fi>
Cc: multiarch-devel@lists.alioth.debian.org, wookey@debian.org
Subject: Re: [Multiarch-devel] Updated multiarch patch for python2.7
Date: Wed, 12 Sep 2012 17:58:22 +0200
* Riku Voipio <riku.voipio@iki.fi>, 2012-09-12, 13:54:
>--- python2.7-2.7.3.orig/debian/libPVER-minimal.postinst.in
>+++ python2.7-2.7.3/debian/libPVER-minimal.postinst.in
>@@ -0,0 +1,13 @@
>+#! /bin/sh
>+
>+set -e
>+
>+if [ ! -f /etc/@PVER@/sitecustomize.py ]; then
>+    cat <<-EOF
>+	# Empty sitecustomize.py to avoid a dangling symlink
>+EOF
>+fi

This looks broken. (Not a regression, just sayin'...)

>+--- python-multiarch.orig/Python/dynload_shlib.c	2012-09-10 08:41:17.000000000 +0000
>++++ python-multiarch/Python/dynload_shlib.c	2012-09-10 08:42:54.676828325 +0000
>+@@ -50,6 +50,9 @@
>+     {"_d.so", "rb", C_EXTENSION},
>+     {"module_d.so", "rb", C_EXTENSION},
>+ #endif
>++#ifdef MULTIARCH
>++    {"." MULTIARCH ".so", "rb", C_EXTENSION},
>++#endif
>+     {".so", "rb", C_EXTENSION},
>+     {"module.so", "rb", C_EXTENSION},
>+ #endif

What about loading extensions for the -dbg interpreter?

Python modules from the standard library are not byte-compiled anymore.

At least the following files (that are shipped in a M-A: same package) 
vary with architecture:

/usr/lib/python2.7/lib-dynload/*_d.so
/usr/lib/python2.7/_sysconfigdata_nd.py
/usr/lib/python2.7/lib2to3/*Grammar*.pickle
/usr/lib/python2.7/lib-dynload/_sysconfigdata.py

These are broken symlinks:

/usr/lib/python2.7/config-*_d/libpython2.7_d.so
/usr/lib/python2.7/config-*_d/libpython2.7.so
/usr/lib/libpython2.7.a

libpython2.7-{minimal,stdlib} don't ship any shared libraries, so 
Pre-Depends on multiarch-support shouldn't be needed.

python2.7{,-minimal,-dbg} must not be "Multi-Arch: foreign".

Apparently the patch reopens #684612.

argparse.egg-info should be in libpython2.7-stdlib, not in python2.7.

Now that libpython2.7 doesn't depend on python2.7, Breaks on vim-* (<< 
2:7.3.547-4) should be moved to the former package. (And who knows what 
else lack of this dependency will break...?)

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#683755; Package python2.7. (Wed, 12 Sep 2012 16:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. (Wed, 12 Sep 2012 16:57:06 GMT) Full text and rfc822 format available.

Message #18 received at 683755@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 683755@bugs.debian.org, Riku Voipio <riku.voipio@iki.fi>, wookey@debian.org
Subject: Re: Bug#683755: [Multiarch-devel] Updated multiarch patch for python2.7
Date: Wed, 12 Sep 2012 18:52:01 +0200
On 12.09.2012 17:58, Jakub Wilk wrote:
> Now that libpython2.7 doesn't depend on python2.7,

no, it never did this.




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#683755; Package python2.7. (Fri, 14 Sep 2012 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 14 Sep 2012 14:15:03 GMT) Full text and rfc822 format available.

Message #23 received at 683755@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 683755@bugs.debian.org, jwilk@debian.org, multiarch-devel@lists.alioth.debian.org, wookey@debian.org
Subject: Re: [Multiarch-devel] Updated multiarch patch for python2.7
Date: Fri, 14 Sep 2012 17:13:09 +0300
[Message part 1 (text/plain, inline)]
On Wed, Sep 12, 2012 at 05:58:22PM +0200, Jakub Wilk wrote:
> >+ #endif
> >++#ifdef MULTIARCH
> >++    {"." MULTIARCH ".so", "rb", C_EXTENSION},
> >++#endif
> >+     {".so", "rb", C_EXTENSION},
> >+     {"module.so", "rb", C_EXTENSION},
> >+ #endif
> 
> What about loading extensions for the -dbg interpreter?

Added, although I'm not sure how interesting multiarch is for debug
packages.

> Python modules from the standard library are not byte-compiled anymore.

This affects speed rather than functionality, so will look at it later

> At least the following files (that are shipped in a M-A: same
> package) vary with architecture:

> /usr/lib/python2.7/lib-dynload/*_d.so
> /usr/lib/python2.7/_sysconfigdata_nd.py
> /usr/lib/python2.7/lib-dynload/_sysconfigdata.py

hopefully fixed

> /usr/lib/python2.7/lib2to3/*Grammar*.pickle

Seem to be only used by 2to3 app, so moved whole lib2to3 directory to python2.7 package
 
> These are broken symlinks:
> 
> /usr/lib/python2.7/config-*_d/libpython2.7_d.so
> /usr/lib/python2.7/config-*_d/libpython2.7.so
> /usr/lib/libpython2.7.a

fixed

> libpython2.7-{minimal,stdlib} don't ship any shared libraries, so
> Pre-Depends on multiarch-support shouldn't be needed.

dropped. 

> python2.7{,-minimal,-dbg} must not be "Multi-Arch: foreign".

I'll keep this now for my testings, it is trivial enough to remove
when needed.

> Apparently the patch reopens #684612.

> argparse.egg-info should be in libpython2.7-stdlib, not in python2.7.

Changed

Since you clearly know more about python than I do, do you have good
ideas howto verify that everything still works now that all the files
have been moved around? Even better if you want to test and finish the
patch yourself ;)

Riku


[python2.7-multiarch.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#683755; Package python2.7. (Thu, 22 Nov 2012 20:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Thu, 22 Nov 2012 20:51:04 GMT) Full text and rfc822 format available.

Message #28 received at 683755@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Riku Voipio <riku.voipio@iki.fi>, 683755@bugs.debian.org
Cc: jwilk@debian.org, multiarch-devel@lists.alioth.debian.org, wookey@debian.org
Subject: Re: Bug#683755: [Multiarch-devel] Updated multiarch patch for python2.7
Date: Thu, 22 Nov 2012 21:45:58 +0100
Hi!

On Fri, 2012-09-14 at 17:13:09 +0300, Riku Voipio wrote:
> On Wed, Sep 12, 2012 at 05:58:22PM +0200, Jakub Wilk wrote:
> > python2.7{,-minimal,-dbg} must not be "Multi-Arch: foreign".
> 
> I'll keep this now for my testings, it is trivial enough to remove
> when needed.

Just to clarify, the packages that end up shipping the interpreter
that has the dual role of loading script and dynamically linked
objects, should be M-A:allowed instead. Setting it to foreign will
allow to break the system when installing arch-dependent python
modules.

Thanks,
Guillem



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 30 Nov 2012 19:09:11 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Sat, 08 Dec 2012 11:06:47 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Sat, 08 Dec 2012 11:06:47 GMT) Full text and rfc822 format available.

Message #35 received at 683755-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 683755-close@bugs.debian.org
Subject: Bug#683755: fixed in python2.7 2.7.3-10
Date: Sat, 08 Dec 2012 11:03:17 +0000
Source: python2.7
Source-Version: 2.7.3-10

We believe that the bug you reported is fixed in the latest version of
python2.7, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 683755@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated python2.7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 29 Nov 2012 20:18:20 +0100
Source: python2.7
Binary: python2.7 libpython2.7-stdlib python2.7-minimal libpython2.7-minimal libpython2.7 python2.7-examples python2.7-dev libpython2.7-dev idle-python2.7 python2.7-doc python2.7-dbg libpython2.7-dbg
Architecture: source all amd64
Version: 2.7.3-10
Distribution: experimental
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 idle-python2.7 - IDE for Python (v2.7) using Tkinter
 libpython2.7 - Shared Python runtime library (version 2.7)
 libpython2.7-dbg - Debug Build of the Python Interpreter (version 2.7)
 libpython2.7-dev - Header files and a static library for Python (v2.7)
 libpython2.7-minimal - Minimal subset of the Python language (version 2.7)
 libpython2.7-stdlib - Interactive high-level object-oriented language (version 2.7)
 python2.7  - Interactive high-level object-oriented language (version 2.7)
 python2.7-dbg - Debug Build of the Python Interpreter (version 2.7)
 python2.7-dev - Header files and a static library for Python (v2.7)
 python2.7-doc - Documentation for the high-level object-oriented language Python
 python2.7-examples - Examples for the Python language (v2.7)
 python2.7-minimal - Minimal subset of the Python language (version 2.7)
Closes: 683755
Changes: 
 python2.7 (2.7.3-10) experimental; urgency=low
 .
   * Update to 20121128, taken from the 2.7 branch.
     - Issue #9011: Fix hacky AST code that modified the CST when compiling
       a negated numeric literal.
     - Issue #16306: Fix multiple error messages when unknown command line
       parameters where passed to the interpreter.
     - Issue #15379: Fix passing of non-BMP characters as integers for the
       charmap decoder (already working as unicode strings).
     - Issue #16453: Fix equality testing of dead weakref objects.
     - Issue #9535: Fix pending signals that have been received but not yet
       handled by Python to not persist after os.fork() in the child process.
     - Issue #15001: fix segfault on "del sys.modules['__main__']".
     - Issue #5057: the peepholer no longer optimizes subscription on unicode
       literals (e.g. u'foo'[0]) in order to produce compatible pyc files
       between narrow and wide builds.
     - Issue #8401: assigning an int to a bytearray slice (e.g. b[3:4] = 5)
       now raises an error.
     - Issue #14700: Fix buggy overflow checks for large width and precision
       in string formatting operations.
     - Issue #16345: Fix an infinite loop when ``fromkeys`` on a dict subclass
       received a nonempty dict from the constructor.
     - Issue #6074: Ensure cached bytecode files can always be updated by the
       user that created them, even when the source file is read-only.
     - Issue #14783: Improve int() and long() docstrings and switch docstrings
       for unicode(), slice(), range(), and xrange() to use multi-line
       signatures.
     - Issue #16030: Fix overflow bug in computing the `repr` of an xrange
       object with large start, step or length.
     - Issue #16029: Fix overflow bug occurring when pickling xranges with large
       start, step or length.
     - Issue #16037: Limit httplib's _read_status() function to work around
       broken HTTP servers and reduce memory usage (backport of a 3.2 fix).
     - Issue #13992: The trashcan mechanism is now thread-safe.  This eliminates
       sporadic crashes in multi-thread programs when several long deallocator
       chains ran concurrently and involved subclasses of built-in container
       types.
     - Issue #15801: Make sure mappings passed to '%' formatting are actually
       subscriptable.
     - Issue #15604: Update uses of PyObject_IsTrue() to check for and handle
       errors correctly.
     - Issue #15897: zipimport.c doesn't check return value of fseek().
     - Issue #16369: Global PyTypeObjects not initialized with PyType_Ready(...).
     - Issue #15033: Fix the exit status bug when modules invoked using
       -m switch, return the proper failure return value (1).
     - Issue #1160: Fix compiling large regular expressions on UCS2 builds.
     - Issue #14313: zipfile now raises NotImplementedError when the compression
       type is unknown.
     - Issue #16408: Fix file descriptors not being closed in error conditions
       in the zipfile module.
     - Issue #16327: The subprocess module no longer leaks file descriptors
       used for stdin/stdout/stderr pipes to the child when fork() fails.
     - Issue #14396: Handle the odd rare case of waitpid returning 0 when not
       expected in subprocess.Popen.wait().
     - Issue #16411: Fix a bug where zlib.decompressobj().flush() might try
       to access previously-freed memory.
     - Issue #16350: zlib.decompressobj().decompress() now accumulates data from
       successive calls after EOF in unused_data, instead of only saving the
       argument to the last call. decompressobj().flush() now correctly sets
       unused_data and unconsumed_tail. A bug in the handling of MemoryError
       when setting the unconsumed_tail attribute has also been fixed.
     - Issue #12759: sre_parse now raises a proper error when the name
       of the group is missing.
     - Issue #16152: fix tokenize to ignore whitespace at the end of the code
       when no newline is found.
     - Issue #1207589: Add Cut/Copy/Paste items to IDLE right click
       Context Menu.
     - Issue #16230: Fix a crash in select.select() when one the lists changes
       size while iterated on.
     - Issue #16228: Fix a crash in the json module where a list changes size
       while it is being encoded.
     - Issue #14897: Enhance error messages of struct.pack and struct.pack_into.
     - Issue #12890: cgitb no longer prints spurious <p> tags in text
       mode when the logdir option is specified.
     - Issue #14398: Fix size truncation and overflow bugs in the bz2 module.
     - Issue #5148: Ignore 'U' in mode given to gzip.open() and gzip.GzipFile().
     - Issue #16220: wsgiref now always calls close() on an iterable response.
     - Issue #16461: Wave library should be able to deal with 4GB wav files,
       and sample rate of 44100 Hz.
     - Issue #16176: Properly identify Windows 8 via platform.platform().
     - Issue #15756: subprocess.poll() now properly handles errno.ECHILD to
       return a returncode of 0 when the child has already exited or cannot
       be waited on.
     - Issue #12376: Pass on parameters in TextTestResult.__init__ super call.
     - Issue #15222: Insert blank line after each message in mbox mailboxes.
     - Issue #16013: Fix CSV Reader parsing issue with ending quote characters.
     - Issue #15421: fix an OverflowError in Calendar.itermonthdates() after
       datetime.MAXYEAR.
     - Issue #15970: xml.etree.ElementTree now serializes correctly the
       empty HTML elements 'meta' and 'param'.
     - Issue #15676: Now "mmap" check for empty files before doing the
       offset check.
     - Issue #15340: Fix importing the random module when /dev/urandom cannot
       be opened.  This was a regression caused by the hash randomization patch.
     - Issue #15841: The readable(), writable() and seekable() methods of
       io.BytesIO and io.StringIO objects now raise ValueError when the object
       has been closed.
     - Issue #16112: platform.architecture does not correctly escape argument to
       /usr/bin/file.
     - Issue #12776,#11839: call argparse type function (specified by
       add_argument) only once. Before, the type function was called twice in
       the case where the default was specified and the argument was given as
       well.  This was especially problematic for the FileType type, as a
       default file would always be opened, even if a file argument was
       specified on the command line.
     - Issue #15906: Fix a regression in argparse caused by the preceding change,
       when action='append', type='str' and default=[].
     - Issue #13370: Ensure that ctypes works on Mac OS X when Python is
       compiled using the clang compiler
     - Issue #15544: Fix Decimal.__float__ to work with payload-carrying NaNs.
     - Issue #15199: Fix JavaScript's default MIME type to
       application/javascript.
     - Issue #15477: In cmath and math modules, add workaround for platforms
       whose system-supplied log1p function doesn't respect signs of zeros.
     - Issue #15908: Fix misbehaviour of the sha1 module when called on data
       larger than 2**32 bytes.
     - Issue #15910: Fix misbehaviour of _md5 and sha1 modules when "updating"
       on data larger than 2**32 bytes.
     - Fix the leak of a dict in the time module when used in an embedded
       interpreter that is repeatedly initialized and shutdown and reinitialized.
     - Issue #12268: File readline, readlines and read or readall methods
       no longer lose data when an underlying read system call is interrupted
       within an io module object.  IOError is no longer raised due to a read
       system call returning EINTR from within these methods.
     - Issue #16012: Fix a regression in pyexpat. The parser's UseForeignDTD()
       method doesn't require an argument again.
     - Issue #16559: Add more tests for the json module, including some from the
       official test suite at json.org.
     - Issue #16274: Fix test_asyncore on Solaris.
     - Issue #15040: Close files in mailbox tests for PyPy compatibility.
     - Issue #15802: Fix test logic in TestMaildir.test_create_tmp.
     - Issue #15765: Extend a previous fix to Solaris and OpenBSD for quirky
       getcwd() behaviour (issue #9185) to NetBSD as well.
     - Issue #15615: Add some tests for the json module's handling of invalid
       input data.
     - Issue #15923: fix a mistake in asdl_c.py that resulted in a TypeError
       after 2801bf875a24 (see #15801).
     - Issue #11715: Fix multiarch detection without having Debian development
       tools (dpkg-dev) installed.
     - Issue #15819: Make sure we can build Python out-of-tree from a readonly
       source directory.  (Somewhat related to Issue #9860.)
     - Issue #15822: Ensure 2to3 grammar pickles are properly installed.
     - Issue #13301: use ast.literal_eval() instead of eval()
       in Tools/i18n/msgfmt.py.
     - Issue #16400: Update the description of which versions of a given package
       PyPI displays.
     - Issue #15677: Document that zlib and gzip accept a compression level
       of 0 to mean 'no compression'.
     - Issue #8040: added a version switcher to the documentation.
     - Issue #16115: Improve subprocess.Popen() documentation around args,
       shell, and executable arguments.
     - Issue #15979: Improve timeit documentation.
     - Issue #16036: Improve documentation of built-in int()'s signature and
       arguments.
     - Issue #15935: Clarification of argparse docs, re: add_argument() type and
       default arguments.
     - Issue #13769: Document the effect of ensure_ascii to the return type
       of JSON decoding functions.
     - Issue #14880: Fix kwargs notation in csv.reader,
       .writer & .register_dialect.
     - Issue #14674: Add a discussion of the json module's standard compliance.
   * Clarify location of the gdbinit file. LP: #975676.
   * Fix traceback for missing distutils wininst .exe files. LP: #1081155.
   * Backport python3.3 multiarch packaging changes (Riku Voipio), and fix
     multiarch issues discovered after the backport.
     Closes: #683755.
   * Use a shell implementation for the python-config script.
Checksums-Sha1: 
 fa537fdb077e0960c081b2b0f91d3b0034f238ac 2288 python2.7_2.7.3-10.dsc
 bcb2d03b52388c7c2eda73a3845aa9d0bdefb63c 731038 python2.7_2.7.3-10.diff.gz
 c7e13c458bd5d47b24eebc982be0832030994685 715312 python2.7-examples_2.7.3-10_all.deb
 2fd79cf956ca38bcf4f23c13d6f0fb6c526b1267 305578 idle-python2.7_2.7.3-10_all.deb
 a0c8252aaace9bcef12d52f473f3cc0e0ab5aa93 6299580 python2.7-doc_2.7.3-10_all.deb
 24fa1dbd68bc2dd0b0ee6178f9e66c035bd44823 320192 python2.7_2.7.3-10_amd64.deb
 d2ba06203db74926d84203487e12f9998c50f320 2366506 libpython2.7-stdlib_2.7.3-10_amd64.deb
 add66a60b3aa0388e649704624c6c9d5bb2509b5 1217014 python2.7-minimal_2.7.3-10_amd64.deb
 487dd347229786c7529461cc472ee1da45e0b653 527220 libpython2.7-minimal_2.7.3-10_amd64.deb
 a0e7f1d3a2527364f99fe5cfd3bbe93963f56a3f 1196374 libpython2.7_2.7.3-10_amd64.deb
 deb4a6c29e003c147f2ac3061402b2c2b8ec6046 260484 python2.7-dev_2.7.3-10_amd64.deb
 d93b17729bb0c14ec455b8e22952fe4fe03a94c4 3155840 libpython2.7-dev_2.7.3-10_amd64.deb
 c229f4837a5d260e3e1dd73c93584b94b7ae89b9 8019320 python2.7-dbg_2.7.3-10_amd64.deb
 64f4503fcb84001a132de4153e716cb25cde7026 6837250 libpython2.7-dbg_2.7.3-10_amd64.deb
Checksums-Sha256: 
 a92f9ce172ccc29e933ce392ef14cfd958848cf6ff878e189d72e1925776aa79 2288 python2.7_2.7.3-10.dsc
 3e73a6a1771d7f550d151677172918d50fa5513dca8010ccffde08eb9113a258 731038 python2.7_2.7.3-10.diff.gz
 e8e8895f373926bcaa1edb3e3282587d3eb5110592515c37b00b2b8c6db2a643 715312 python2.7-examples_2.7.3-10_all.deb
 8dc02f2d07210a122ffc15aab0e605ff5090c176e09b7daffbfe5a1ab33af72f 305578 idle-python2.7_2.7.3-10_all.deb
 a5b9f822996b12099d0c86bdea9a3f978b920be2cfb76db1188b3114d3011a98 6299580 python2.7-doc_2.7.3-10_all.deb
 ed6c23ee98f3f00688f0a0100853f7c77a1d6300cb3fd76bdb0ee15f9605bc2c 320192 python2.7_2.7.3-10_amd64.deb
 92b42112cf4980b2ccfcd183b68a1e6d35e7fd42f7e2f006ea21f045c331c501 2366506 libpython2.7-stdlib_2.7.3-10_amd64.deb
 719370b8e3baf978f224ed9ad4d163fabf58b60f7543e4f2f172dd1dcd083845 1217014 python2.7-minimal_2.7.3-10_amd64.deb
 f132b2e6e9dcdd06cb97bf3650fdf5b0dafbb4ebe1fa7f9c1ca6e83f462e10b3 527220 libpython2.7-minimal_2.7.3-10_amd64.deb
 e04d5d18ca633b1c539d726cd9f2c17018feaead70133697655e1f210fb063fd 1196374 libpython2.7_2.7.3-10_amd64.deb
 449fb417ba5aa93411908d4720629197950cdd6db667d8e0172aa6ec8b4d6016 260484 python2.7-dev_2.7.3-10_amd64.deb
 e7607279e1cddb75e3854e842674a055c1873a3b75999b7b2b7c0a39b0d73be2 3155840 libpython2.7-dev_2.7.3-10_amd64.deb
 544fe2eba1f9d68b6193ba3003e8135f44aea3f1315454f8ccbc5ddb04ed4c1a 8019320 python2.7-dbg_2.7.3-10_amd64.deb
 97558af3d1ed62cda1455bac28c454450460ed11def193a81dc1f13f4190ef4f 6837250 libpython2.7-dbg_2.7.3-10_amd64.deb
Files: 
 b90801ee49c7f14675443dfa0052d745 2288 python optional python2.7_2.7.3-10.dsc
 225bab77a632aac2f0c9e239ef4334b6 731038 python optional python2.7_2.7.3-10.diff.gz
 74b81003a0ee954c70d94d20cd781791 715312 python optional python2.7-examples_2.7.3-10_all.deb
 48d7310061e63fff4348a0dc1e6aad5c 305578 python optional idle-python2.7_2.7.3-10_all.deb
 28feb31768dc67ecd1da9adb068f1839 6299580 doc optional python2.7-doc_2.7.3-10_all.deb
 d3ce72452e54686436b134cd64e287ab 320192 python optional python2.7_2.7.3-10_amd64.deb
 f3ce2bd6b301531046b69fd680a1953e 2366506 python optional libpython2.7-stdlib_2.7.3-10_amd64.deb
 ca2ef3cce5c17c539587d0ed61bd27e6 1217014 python optional python2.7-minimal_2.7.3-10_amd64.deb
 92959ff954d2293eb286de23ffb0b4e6 527220 python optional libpython2.7-minimal_2.7.3-10_amd64.deb
 7e398140d329599958eecb70546f1646 1196374 libs optional libpython2.7_2.7.3-10_amd64.deb
 ac76b9e5c883b5e0bfde6b4caf4e6475 260484 python optional python2.7-dev_2.7.3-10_amd64.deb
 c3fd5f6d37567fd3da1aea9baaa6ebfe 3155840 libdevel optional libpython2.7-dev_2.7.3-10_amd64.deb
 675c760003c7d437fddde9f14e00bf25 8019320 debug extra python2.7-dbg_2.7.3-10_amd64.deb
 78c6191b6237116af55bd40c83a7c5a5 6837250 debug extra libpython2.7-dbg_2.7.3-10_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlC4JfwACgkQStlRaw+TLJwDmwCeOaiLAg/Sqni5IGGEPqtUPfF7
Tz0AniJ/p6hkAr3l8hJ+TgmCKtKfRPuP
=p2A1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Jan 2013 07:27:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 17:01:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.